Bug 220244 - net-mgmt/lldpd: ZSH option installs completion file in wrong directly
Summary: net-mgmt/lldpd: ZSH option installs completion file in wrong directly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://github.com/vincentbernat/lldp...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-06-24 07:08 UTC by Ben Woods
Modified: 2017-08-11 10:22 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
Patch to fix install location of zsh completion file and enable by default (1.29 KB, patch)
2017-06-24 07:08 UTC, Ben Woods
woodsb02: maintainer-approval? (freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2017-06-24 07:08:48 UTC
Created attachment 183756 [details]
Patch to fix install location of zsh completion file and enable by default

net-mgmt/lldpd: Fix install location for zsh completion file

- Also enable ZSH option by default to install completion file
Comment 1 Ben Woods freebsd_committer 2017-06-24 07:10:17 UTC
Awaiting maintainer approval
Comment 2 Ben Woods freebsd_committer 2017-06-24 07:17:48 UTC
The default directory in zsh for completion files is DATADIR/zsh/site-functions, as described in the zsh INSTALL instructions:
https://sourceforge.net/p/zsh/code/ci/master/tree/INSTALL
Comment 3 Ben Woods freebsd_committer 2017-06-24 07:44:15 UTC
Reported upstream also:
https://github.com/vincentbernat/lldpd/issues/232
Comment 4 Mathieu Simon 2017-06-24 17:00:58 UTC
Hi Ben

I'll give it a closer look, but from the first sight, that looks pretty right. Let me check back and try to give my (likely) thumbs up within a couple of days.

I'm also working on bumping the port version but am hitting an issue with SNMP which I'm trying to resolve with upstream first, but didn't yet find proper time with the last couple of weeks. (https://github.com/vincentbernat/lldpd/issues/231)

Thanks for reporting and offering a patch.

-- Mathieu
Comment 5 Ben Woods freebsd_committer 2017-07-30 23:05:43 UTC
Hi Mathieu,
Any feedback?
Note that the upstream issue I linked above has been fixed with a commit that performs the same change as this patch.
If you are happy, I will go ahead and commit this patch?
Regards,
Ben
Comment 6 Mathieu Simon 2017-08-11 10:07:44 UTC
Hi Ben

Sorry for the long timeout. I only now got some time to check back.
Please go ahead and commit this patch.

I'll try to nail down on the SNMP build options issue (with later 0.9.5+ versions) that I haven't had the chance to look further. Until then this patch is more than welcome, thanks for pushing this upstream too.

Best regards,
Mathieu
Comment 7 commit-hook freebsd_committer 2017-08-11 10:15:22 UTC
A commit references this bug:

Author: woodsb02
Date: Fri Aug 11 10:15:12 UTC 2017
New revision: 447750
URL: https://svnweb.freebsd.org/changeset/ports/447750

Log:
  net-mgmt/lldpd: Fix install location for zsh completion file

  - Also enable ZSH option by default to install completion file

  PR:		220244
  Approved by:	Mathieu Simon <freebsd@simweb.ch> (maintainer)
  MFH:		2017Q3

Changes:
  head/net-mgmt/lldpd/Makefile
  head/net-mgmt/lldpd/pkg-plist
Comment 8 commit-hook freebsd_committer 2017-08-11 10:18:26 UTC
A commit references this bug:

Author: woodsb02
Date: Fri Aug 11 10:17:26 UTC 2017
New revision: 447751
URL: https://svnweb.freebsd.org/changeset/ports/447751

Log:
  MFH: r447750

  net-mgmt/lldpd: Fix install location for zsh completion file

  - Also enable ZSH option by default to install completion file

  PR:		220244
  Approved by:	Mathieu Simon <freebsd@simweb.ch> (maintainer)

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q3/
  branches/2017Q3/net-mgmt/lldpd/Makefile
  branches/2017Q3/net-mgmt/lldpd/pkg-plist
Comment 9 Ben Woods freebsd_committer 2017-08-11 10:22:03 UTC
Committed - thanks!